<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_19</title>
</head>
<body>
    <h1>Ejercicio 19</h1>
    <script>
    /*19) Programa una función que valide que un texto sea un nombre válido, 
    pe. miFuncion("Jonathan MirCha") devolverá verdadero.*/

    const validarNombre = (cadena = undefined) => {

        if (cadena === undefined) return console.warn("No ingreso un texto");
        if (typeof cadena !== "string") 
           return console.warn(`El valor ingresado: ${cadena} no es un texto`);

        let expReg = /^[A-Za-zÑñÀÈÌÒÙàèìòù\s]+$/g.test(cadena);

        return(expReg)
            ? console.log(`${cadena}, es un Nombre vàlido`)
            : console.log(`${cadena}, NO es un Nombre vàlido`);
        

        /*let count = cadena.match(/[A-Za-z]/gi).length;
        return console.log(`Si ingreso un Nombre vàlido`)*/      
    }

    validarNombre("Jonathan MirCha");
    validarNombre("Guillermo,24");

    </script>
    
</body>
</html>